/**
 * apeman-ui-contrib-angular-locating
 * Runs with karma.
 */

"use strict";

var ng = angular,
    mock = ng.mock;

describe('apeman-ui-contrib-angular-locating', function () {
    describe('ap-location-search', function () {
        var apLocationSearch;
        beforeEach(function () {
            mock.module('apeman-ui-contrib-angular-locating');
            mock.inject(function (_apLocationSearch_) {
                apLocationSearch = _apLocationSearch_;
            });
        });

        it('Edit search', function () {
            apLocationSearch.set('foo', 'bar');
            expect(apLocationSearch.get('foo')).toEqual('bar');
            var consumed = apLocationSearch.consume('foo');
            expect(consumed).toEqual('bar');
            expect(apLocationSearch.get('foo')).toEqual(undefined);
        });

    });
});
